<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_aed8da0f" . "19091214b" . "78f803510" . "48517c" => base64_decode("c3Ry" . "bGVu"), "_e608e5b5c4c34" . "a67ba97ef84c1e" . "16199" => base64_decode("J" . "w" . "=" . "="), "_7eacce07e2" . "449116f62c9" . "464710c37f7" => base64_decode("cmV" . "zZX" . "Q="), "_6edacb78bd55c5015af27c8ac1fcd" . "9af" => base64_decode("bWV0aG9kX2V4aXN0" . "cw=="), "_c06c961f393742ecfd" . "52b72263ac9470" => base64_decode("aW50d" . "mFs"), "_80453d7bea0ddc48afe3" . "e3c89e0b8aec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlkYXRpb24gbWV0aG9kICc" . "="), "_4d707fab93bebb00bbe" . "69e8159697c90" => base64_decode(""), "_19d1237a619f7b35ad6" . "dbebf025f17c8" => base64_decode("c3RyY21" . "w"));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_7eacce07e2449116f62c9464" . "710c37f7"]) != $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4d707fab93bebb00bbe69e8159" . "697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_6edacb78bd55c5015af27c8" . "ac1fcd9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_80453d7be" . "a0ddc48afe" . "3e3c89e0b8" . "aec"] . $validate_method . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_e608e5b5c4c34a" . "67ba97ef84c1e16" . "199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_aed8da0f" . "19091214b" . "78f803510" . "48517c"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_19d1237a619f7b35ad6dbebf02" . "5f17c8"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_c06c961f393742ecfd52b7" . "2263ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_aed8da0f1909121" . "4b78f80351048517" . "c"]($value);
    }
}